The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add a Non-Standard Port at Domain Level

Prev Next

This URL adds a non-standard port on the specified domain.

Resource URL

GET /domain/<domain_id>/nonstandardports

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

NonStandardPortRequestElement

Non-standard port details

Object

Yes

Details of NonStandardPortRequestElement:

Field Name

Description

Data Type

Mandatory

Protocol

Application Protocol, can be TELNET / FTP / SMTP / DNS / HTTP / POP3 / RPC / IMAP / SNMP / LDAP / REXEC / RLOGIN / RSH / NFS

String

Yes

sslEnabled

SSL to be enabled for HTTP protocol, for other protocols this field must be false

Boolean

Yes

Transport

Transport protocol, can be TCP / UDP

String

Yes

nonStandardPortNumber

Non-standard port number, should not be set to the standard port numbers defined for the protocols

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Status returned

Number

Example

Request

POST https://<NSM_IP>/sdkapi/domain/0/nonstandardports

Payload

{
    	"protocol": "TELNET",
    	"sslEnabled": "false",
    	"transport": "TCP",
    	"nonStandardPortNumber": "15"
}

Response

{
  		"status": 1
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Cod

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

400

2001

Only UDP transport type is allowed for SNMP/NFS protocol type

3

400

2002

SSL can be enabled only for HTTP protocol type

4

400

2003

Port number can be between 1 and 65535

5

400

2004

Non-standard port number cannot be same as the standard port number

6

400

2005

Non-standard port setting with the given details already exists